| Home | Libraries | People | FAQ | More

#### pfr_by_position

Static interface marker type to use Boost.PFR reflection with positional matching.

##### Synopsis

Defined in header `<boost/mysql/pfr.hpp>`

    template<
        class T>
    struct pfr_by_position

##### Description

A marker type that satisfies the `StaticRow` concept. When used within the static interface, modifies its behavior for the marked type so that Boost.PFR is used for reflection, instead of Boost.Describe. Field matching is performed by position, with the same algorithm used for `std::tuple`.

The underlying row type for this marker is `T`, i.e. `underlying_row_t<pfr_by_position<T>>` is an alias for `T`.

The type `T` must be a PFR-reflectable non-const object type.

This type is only defined if the macro `BOOST_PFR_ENABLED` is defined and set to `1`.